--
-- $Id$
--
-- <<Korte omschrijving wat het script doet>>

DEFINE thisfile = 'STAM#49727.SQL'
DEFINE dbuser   = '^STAM'

SET ECHO ON
SET DEFINE ON
COLUMN fcltlogfile NEW_VALUE fcltlogfile NOPRINT;
WHENEVER SQLERROR EXIT;
SELECT adm.scriptspoolfile('&dbuser', '&thisfile') AS fcltlogfile FROM DUAL;
WHENEVER SQLERROR CONTINUE;
SPOOL &fcltlogfile
SET DEFINE OFF

------ payload begin ------

-- verwijder 'inactief' bij alle personen waarbij dat 10 november gezet is
UPDATE PRS_PERSLID
   SET PRS_PERSLID_NAAM = REPLACE (PRS_PERSLID_NAAM, 'INACTIEF:', ''),
       PRS_PERSLID_UPPER = REPLACE (PRS_PERSLID_UPPER, 'INACTIEF:', '')
 WHERE PRS_PERSLID_UPPER LIKE 'INACTIEF%'
       AND PRS_PERSLID_CREDENTIALS_DATUM >
             TO_DATE ('10-11-2017', 'DD-MM-YYYY');

COMMIT;             


------ payload end   ------

SET DEFINE OFF
BEGIN adm.systrackscriptId ('$Id$', 1); END;
/

COMMIT;
SET ECHO OFF
SPOOL OFF
SET DEFINE ON
PROMPT Logfile of this upgrade is: &fcltlogfile
